| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoDecimationTypeElement Class Reference
Element Classes

The SoDecimationTypeElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoDecimationTypeElement.h>`

Inheritance diagram for SoDecimationTypeElement:

## Public Types

enum | Type { AUTOMATIC, HIGHEST, LOWEST, PERCENTAGE }

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
Public Member Functions inherited from SoInt32Element
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
virtual void | setElt (int32_t value)
| FIXME: write doc.
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, const Type type)
| FIXME: write doc.
static void | set (SoState *const state, SoNode *const node, const Type type)
| FIXME: write doc.
static Type | get (SoState *const state)
| FIXME: write doc.
static Type | getDefault (void)
| FIXME: write doc.
Static Public Member Functions inherited from SoInt32Element
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int index, SoState *const state, SoNode *const node, const int32_t value)
static void | set (const int index, SoState *const state, const int32_t value)
static int32_t | get (const int index, SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoDecimationTypeElement ()

## Additional Inherited Members

Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoInt32Element
int32_t | data
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoDecimationTypeElement class is yet to be documented.

FIXME: write doc.

## Member Enumeration Documentation

enum SoDecimationTypeElement::Type

FIXME: write doc.

## Constructor & Destructor Documentation

SoDecimationTypeElement::~SoDecimationTypeElement | ( | void | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoDecimationTypeElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoDecimationTypeElement::initClass | ( | void | ) |  |

static

This static method initializes static data for the SoDecimationTypeElement class.

The documentation for this class was generated from the following files:

- SoDecimationTypeElement.h
- SoDecimationTypeElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.